EDIT - bug #7279

p2 sites are extremely huge
02/20/2018 11:58 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: major Found in Version:

Description

Sizes as seen currently:

e 22G  nightly
¢ 9.7G stable

These folders seem to contain more files than needed!

e why are these folder so big?
¢ reduce the folder content to the minimum of required files

A fresh nightly p2 update site folder only has as size of 343M:

Related issues:
Related to EDIT - bug #7079: P2 updates not found

Related to EDIT - bug #7284: Multiple taxeditor jars created in p2 update for...

Closed
Closed

Associated revisions

Revision 249a8e67 - 02/20/2018 04:17 PM - Patrick Plitzner
ref #7279 Delete update site before deploying a new build

Revision 36db2aa2 - 02/20/2018 04:41 PM - Patrick Plitzner

ref #7279 Change maven phase for deleting update site

Revision 47b6f08e - 02/20/2018 04:54 PM - Patrick Plitzner

ref #7279 Update wagon wb dav extension

Revision 31c3a6af - 02/21/2018 07:14 AM - Patrick Plitzner

ref #7279 Fix wagon web dav extension and wagon-maven-plugin version

Revision 36e531b3 - 02/21/2018 12:16 PM - Patrick Plitzner

ref #7279 Update other maven wagon and scm extensions

Revision b2b839b7 - 02/21/2018 12:30 PM - Patrick Plitzner

ref #7279 Revert/decrease maven wagon and scm extensions

Revision d570274e - 02/21/2018 01:44 PM - Patrick Plitzner

ref #7279 remove serverld from sshexec configuration

Revision 753eefd1 - 02/21/2018 01:56 PM - Patrick Plitzner
ref #7279 Fix folder path for sshexec

History

#1 - 02/20/2018 12:06 PM - Andreas Kohlbecker

- Description updated
#2 - 02/20/2018 12:08 PM - Andreas Kohlbecker
- Related to bug #7079: P2 updates not found added

#3 - 02/21/2018 11:20 AM - Andreas Miiller

- Status changed from New to In Progress

#4 - 02/21/2018 02:41 PM - Patrick Plitzner
- Status changed from In Progress to Resolved
- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

- % Done changed from 0 to 50

The update site is now deleted by using the sshexec feature of the maven wagon plugin. The goal is part of the uploadRepo profile in the pom.xml of
the eu.etaxonomy.taxeditor plugin and is executed in the clean phase before the update site is uploaded.

Added clean to the corresponding maven call in the jenkins job.
#5 - 02/21/2018 02:45 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

There are still editor jars with multiple versions accumulating in update site:
eg:

https://cybertaxonomy.eu/download/taxeditor/update/nightly/features/

[ ] eu.etaxonomy.taxeditor.feature.platform 4.15.0.201802211305. jar 2018-02-21 14:14 1.7K
[ ] eu.etaxonomy.taxeditor.feature.platform 4.15.0.201802211311. jar 2018-02-21 14:17 1.7K
[ ] eu.etaxonomy.taxeditor.feature.platform_4.15.0.201802211318.jar 2018-02-21 14:25 1.7K
[ ] eu.etaxonomy.taxeditor.feature_4.15.0.201802211305. jar 2018-02-21 14:14 1.3K
[ ] eu.etaxonomy.taxeditor.feature_4.15.0.201802211311. jar 2018-02-21 14:17 1.3K
[ ] eu.etaxonomy.taxeditor.feature_4.15.0.201802211318.jar 2018-02-21 14:25 1.3K

#6 - 02/21/2018 03:53 PM - Patrick Plitzner
- Status changed from In Progress to Resolved

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

There are multiple files but this seems to be another issue. As they are all from the current built updates should work now.
Created a new ticket -> #7284

#7 - 02/21/2018 04:21 PM - Patrick Plitzner
- Related to bug #7284: Multiple taxeditor jars created in p2 update for a single jenkins build added

#8 - 03/22/2018 04:23 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

- % Done changed from 50 to 100

this looks ok now!

#9 - 07/06/2020 02:35 PM - Andreas Kohlbecker
- Tags set to eclipse-p2
